classification
Title: use support.captured_stderr context manager - test_logging
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: diana, python-dev, vinay.sajip
Priority: normal Keywords: patch

Created on 2014-05-26 17:35 by diana, last changed 2014-05-31 07:20 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
use_support_captured_stderr_test_logging.patch diana, 2014-05-26 17:35 review
Messages (3)
msg219165 - (view) Author: diana (diana) * Date: 2014-05-26 17:35
- Updated test_asyncore to use the support.catpured_stderr context manager
- Removed unused imports
msg219167 - (view) Author: diana (diana) * Date: 2014-05-26 17:48
oops, typo:

- Updated test_logging (not test_asyncore) to use the support.catpured_stderr context manager
msg219447 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-05-31 07:20
New changeset f1393e826608 by Vinay Sajip in branch 'default':
Closes #21583: Improved test_logging. Thanks to Diana Joan Clarke for the patch.
http://hg.python.org/cpython/rev/f1393e826608
History
Date User Action Args
2014-05-31 07:20:03python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg219447

resolution: fixed
stage: patch review -> resolved
2014-05-30 19:12:33terry.reedysetnosy: + vinay.sajip

type: enhancement
stage: patch review
title: use support.catpured_stderr context manager - test_logging -> use support.captured_stderr context manager - test_logging
2014-05-26 17:48:10dianasetmessages: + msg219167
2014-05-26 17:35:10dianacreate